Package org.springframework.security.web.server.util.matcher

# Interface ServerWebExchangeMatcher

All Known Implementing Classes:
  `AndServerWebExchangeMatcher`, `AuthenticationConverterServerWebExchangeMatcher`, `IpAddressServerWebExchangeMatcher`, `MediaTypeServerWebExchangeMatcher`, `NegatedServerWebExchangeMatcher`, `OrServerWebExchangeMatcher`, `PathPatternParserServerWebExchangeMatcher`

public interface ServerWebExchangeMatcher
An interface for determining if a `ServerWebExchangeMatcher` matches.

Since:
  5.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ServerWebExchangeMatcher.MatchResult`
The result of matching

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if a request matches or not

## Method Details

### matches

reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> matches(org.springframework.web.server.ServerWebExchange exchange)
Determines if a request matches or not

Parameters:
  `exchange` -
Returns: